Create a performance evaluation
curl --request POST \
--url https://app.tarefy.com/nodeapi/v2/performance-evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"scaleLabel": "<string>",
"showCommentsPerCompetence": true,
"requireCommentsPerCompetence": true,
"requireGeneralComments": true,
"selfEvaluation": true,
"admissionDate": "2023-12-25",
"employmentTypes": [
"<string>"
],
"considerSelfEvaluationInAverage": true,
"participants": [
{}
]
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/performance-evaluations"
payload = {
"name": "<string>",
"description": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"scaleLabel": "<string>",
"showCommentsPerCompetence": True,
"requireCommentsPerCompetence": True,
"requireGeneralComments": True,
"selfEvaluation": True,
"admissionDate": "2023-12-25",
"employmentTypes": ["<string>"],
"considerSelfEvaluationInAverage": True,
"participants": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
startDate: '2023-12-25',
endDate: '2023-12-25',
scaleLabel: '<string>',
showCommentsPerCompetence: true,
requireCommentsPerCompetence: true,
requireGeneralComments: true,
selfEvaluation: true,
admissionDate: '2023-12-25',
employmentTypes: ['<string>'],
considerSelfEvaluationInAverage: true,
participants: [{}]
})
};
fetch('https://app.tarefy.com/nodeapi/v2/performance-evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Performance Evaluations
Create a performance evaluation
POST
/
v2
/
performance-evaluations
Create a performance evaluation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
4, 5 Available options:
direct, joint, 360, custom Response
200 - application/json
Avaliação criada com sucesso
The response is of type object.
⌘I

